## Systemtabellen auswerten (Beispiele)

### Voraussetzungen

Sie haben die Demo-Daten für das SQL-Tutorial erzeugt.

Melden Sie sich als Benutzer MONA an die Demo-Datenbankinstanz DEMODB an.

### Beispiele

Für folgende Systemtabellen werden Beispiele für deren Auswertung gegeben:

ACTIVECONFIGURATION

CACHESTATISTICS

COLUMNS

CONSTRAINTS

DATASTATISTICS

DATAVOLUMES

DBPROCEDURES

DBPROCPARAMS

DOMAINCONSTRAINTS

DOMAINS

FOREIGNKEYCOLUMNS

FOREIGNKEYS

FUNCTIONS

INDEXCOLUMNS

INDEXES

INSTANCE

LOCKS

LOGQUEUESTATISTICS

LOGSTATISTICS

MAPCHARSETS

ROLEPRIVILEGES

ROLES

SEQUENCES

SESSION_ROLES

SESSIONS

SYNONYMS

TABLEPRIVILEGES

TABLES

TRIGGERS

USERS

VERSION

VIEWCOLUMNS

VIEWDEFS

VIEWS

Siehe auch:

Datenbankbegriffe

Definitionen der Systemtabellen